### Are you looking for help?

This is an issue tracker, used to manage and track the development of Lagom. It is not a support system and so it is not a place to ask questions or get help. If you're not sure if you have found a bug, the best place to start is with either the [discussion forum](https://discuss.lagomframework.com) or [Stack Overflow](http://stackoverflow.com/questions/ask?tags=lagom). If you have a feature request, the [contributors channel](https://gitter.im/lagom/contributors) is a better forum than an issue tracker to discuss it.

### Lagom Version (1.2.x / 1.3.x / etc)



### API (Scala / Java / Neither / Both)



### Operating System (Ubuntu 15.10 / MacOS 10.10 / Windows 10)

Use `uname -a` if on Linux.

### JDK (Oracle 1.8.0_112, OpenJDK 1.8.x, Azul Zing)

Paste the output from `java -version` at the command line.

### Library Dependencies

If this is an issue that involves integration with another system, include the exact version and OS of the other system, including any intermediate drivers or APIs i.e. if you connect to a PostgreSQL database, include both the version / OS of PostgreSQL and the JDBC driver version used to connect to the database.

### Expected Behavior

Please describe the expected behavior of the issue, starting from the first action.

1.
2.
3.

### Actual Behavior

Please provide a description of what actually happens, working from the same starting point.

Be descriptive: "it doesn't work" does not describe what the behavior actually is -- instead, say "the page renders a 500 error code with no body content."  Copy and paste logs, and include any URLs.

1.
2.
3.

### Reproducible Test Case

Please provide a PR with a failing test.

If the issue is more complex or requires configuration, please provide a link to a project on Github that reproduces the issue.
